package com.huimv.management;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

/**
 * @author yinhao
 * @since 2021/5/31 15:44
 */
@SpringBootApplication
@MapperScan(value = "com.huimv.management.dao")
public class HuimvSmartManagementApplication {

    public static void main(String[] args) {
        SpringApplication.run(HuimvSmartManagementApplication.class, args);
    }

    @Bean
    public RestTemplate getRestTemplate(){
        return new RestTemplate();
    }

}
